"use strict";
exports.__esModule = true;
function deepClone(obj) {
    if (!obj || typeof obj !== 'object') {
        return obj;
    }
    var objArray = Array.isArray(obj) ? [] : {};
    if (obj && typeof obj === 'object') {
        for (var key in obj) {
            if (Object.prototype.hasOwnProperty.call(obj, key)) {
                // 如果obj的属性是对象，递归操作
                if (obj[key] && typeof obj[key] === 'object') {
                    objArray[key] = deepClone(obj[key]);
                }
                else {
                    objArray[key] = obj[key];
                }
            }
        }
    }
    return objArray;
}
exports.deepClone = deepClone;
function isEmpty(obj) {
    // 判断字符是否为空的方法
    return typeof obj === 'undefined' || obj === null || obj === '';
}
exports.isEmpty = isEmpty;
function isPromise(obj) {
    return (obj &&
        (obj instanceof Promise ||
            ((typeof obj === 'object' || typeof obj === 'function') && typeof obj.then === 'function')));
}
exports.isPromise = isPromise;
function repeat(str, num) {
    var result = '';
    var n = num;
    while (n--) {
        result += str;
    }
    return result;
}
exports.repeat = repeat;
function isKeyMatch(event, keyCode, key, withKey) {
    if (withKey && withKey.length > 0) {
        for (var _i = 0, withKey_1 = withKey; _i < withKey_1.length; _i++) {
            var it_1 = withKey_1[_i];
            // @ts-ignore
            if (typeof event[it_1] !== 'undefined' && !event[it_1]) {
                return false;
            }
        }
    }
    else {
        if (event.metaKey || event.ctrlKey || event.shiftKey || event.altKey) {
            return false;
        }
    }
    if (event.key) {
        return event.key === key;
    }
    else {
        return event.keyCode === keyCode;
    }
}
exports.isKeyMatch = isKeyMatch;
